| LPCOpen Platform v1.03 LPCOpen Platform for NXP LPC Microcontrollers

- Main Page
- Modules
- Data Structures
- Files
- Related Pages

- File List
- Globals

All Data Structures Files Functions Variables Typedefs Enumerations Enumerator Macros Groups Pages
Macros | Functions
lib_str.h File Reference
`#include <cpu.h>`
`#include <lib_def.h>`
`#include <lib_ascii.h>`
`#include <app_cfg.h>`

Go to the source code of this file.

## Macros
#define | LIB_STR_FP_MAX_NBR_DIG_SIG_MIN 1
#define | LIB_STR_FP_MAX_NBR_DIG_SIG_MAX 9 /* See Note #1a2. */
#define | LIB_STR_FP_MAX_NBR_DIG_SIG_DFLT 7 /* See Note #1a1. */
#define | LIB_STR_EXT extern
#define | LIB_STR_CFG_FP_EN DEF_DISABLED
#define | LIB_STR_CFG_FP_MAX_NBR_DIG_SIG LIB_STR_FP_MAX_NBR_DIG_SIG_DFLT
#define | Str_FmtPrint snprintf
#define | Str_FmtScan sscanf

## Functions
CPU_SIZE_T | Str_Len (const CPU_CHAR *pstr)
CPU_SIZE_T | Str_Len_N (const CPU_CHAR *pstr, CPU_SIZE_T len_max)
CPU_CHAR * | Str_Copy (CPU_CHAR *pstr_dest, const CPU_CHAR *pstr_src)
CPU_CHAR * | Str_Copy_N (CPU_CHAR *pstr_dest, const CPU_CHAR *pstr_src, CPU_SIZE_T len_max)
CPU_CHAR * | Str_Cat (CPU_CHAR *pstr_dest, const CPU_CHAR *pstr_cat)
CPU_CHAR * | Str_Cat_N (CPU_CHAR *pstr_dest, const CPU_CHAR *pstr_cat, CPU_SIZE_T len_max)
CPU_INT16S | Str_Cmp (const CPU_CHAR *p1_str, const CPU_CHAR *p2_str)
CPU_INT16S | Str_Cmp_N (const CPU_CHAR *p1_str, const CPU_CHAR *p2_str, CPU_SIZE_T len_max)
CPU_INT16S | Str_CmpIgnoreCase (const CPU_CHAR *p1_str, const CPU_CHAR *p2_str)
CPU_INT16S | Str_CmpIgnoreCase_N (const CPU_CHAR *p1_str, const CPU_CHAR *p2_str, CPU_SIZE_T len_max)
CPU_CHAR * | Str_Char (const CPU_CHAR *pstr, CPU_CHAR srch_char)
CPU_CHAR * | Str_Char_N (const CPU_CHAR *pstr, CPU_SIZE_T len_max, CPU_CHAR srch_char)
CPU_CHAR * | Str_Char_Last (const CPU_CHAR *pstr, CPU_CHAR srch_char)
CPU_CHAR * | Str_Char_Last_N (const CPU_CHAR *pstr, CPU_SIZE_T len_max, CPU_CHAR srch_char)
CPU_CHAR * | Str_Str (const CPU_CHAR *pstr, const CPU_CHAR *pstr_srch)
CPU_CHAR * | Str_Str_N (const CPU_CHAR *pstr, const CPU_CHAR *pstr_srch, CPU_SIZE_T len_max)
CPU_CHAR * | Str_FmtNbr_Int32U (CPU_INT32U nbr, CPU_INT08U nbr_dig, CPU_INT08U nbr_base, CPU_CHAR lead_char, CPU_BOOLEAN lower_case, CPU_BOOLEAN nul, CPU_CHAR *pstr)
CPU_CHAR * | Str_FmtNbr_Int32S (CPU_INT32S nbr, CPU_INT08U nbr_dig, CPU_INT08U nbr_base, CPU_CHAR lead_char, CPU_BOOLEAN lower_case, CPU_BOOLEAN nul, CPU_CHAR *pstr)
CPU_INT32U | Str_ParseNbr_Int32U (const CPU_CHAR *pstr, CPU_CHAR **pstr_next, CPU_INT08U nbr_base)
CPU_INT32S | Str_ParseNbr_Int32S (const CPU_CHAR *pstr, CPU_CHAR **pstr_next, CPU_INT08U nbr_base)

## Macro Definition Documentation

#define LIB_STR_CFG_FP_EN DEF_DISABLED

Definition at line 202 of file lib_str.h.

#define LIB_STR_CFG_FP_MAX_NBR_DIG_SIG LIB_STR_FP_MAX_NBR_DIG_SIG_DFLT

Definition at line 210 of file lib_str.h.

#define LIB_STR_EXT extern

Definition at line 176 of file lib_str.h.

#define LIB_STR_FP_MAX_NBR_DIG_SIG_DFLT 7 /* See Note #1a1. */

Definition at line 109 of file lib_str.h.

#define LIB_STR_FP_MAX_NBR_DIG_SIG_MAX 9 /* See Note #1a2. */

Definition at line 108 of file lib_str.h.

#define LIB_STR_FP_MAX_NBR_DIG_SIG_MIN 1

Definition at line 107 of file lib_str.h.

#define Str_FmtPrint snprintf

Definition at line 256 of file lib_str.h.

#define Str_FmtScan sscanf

Definition at line 257 of file lib_str.h.

## Function Documentation

CPU_CHAR* Str_Cat | ( | CPU_CHAR * | pstr_dest,
|  | const CPU_CHAR * | pstr_cat
| ) |  |

Definition at line 544 of file lib_str.c.

CPU_CHAR* Str_Cat_N | ( | CPU_CHAR * | pstr_dest,
|  | const CPU_CHAR * | pstr_cat,
|  | CPU_SIZE_T | len_max
| ) |  |

Definition at line 627 of file lib_str.c.

CPU_CHAR* Str_Char | ( | const CPU_CHAR * | pstr,
|  | CPU_CHAR | srch_char
| ) |  |

Definition at line 1277 of file lib_str.c.

CPU_CHAR* Str_Char_Last | ( | const CPU_CHAR * | pstr,
|  | CPU_CHAR | srch_char
| ) |  |

Definition at line 1456 of file lib_str.c.

CPU_CHAR* Str_Char_Last_N | ( | const CPU_CHAR * | pstr,
|  | CPU_SIZE_T | len_max,
|  | CPU_CHAR | srch_char
| ) |  |

Definition at line 1539 of file lib_str.c.

CPU_CHAR* Str_Char_N | ( | const CPU_CHAR * | pstr,
|  | CPU_SIZE_T | len_max,
|  | CPU_CHAR | srch_char
| ) |  |

Definition at line 1358 of file lib_str.c.

CPU_INT16S Str_Cmp | ( | const CPU_CHAR * | p1_str,
|  | const CPU_CHAR * | p2_str
| ) |  |

Definition at line 758 of file lib_str.c.

CPU_INT16S Str_Cmp_N | ( | const CPU_CHAR * | p1_str,
|  | const CPU_CHAR * | p2_str,
|  | CPU_SIZE_T | len_max
| ) |  |

Definition at line 860 of file lib_str.c.

CPU_INT16S Str_CmpIgnoreCase | ( | const CPU_CHAR * | p1_str,
|  | const CPU_CHAR * | p2_str
| ) |  |

Definition at line 1025 of file lib_str.c.

CPU_INT16S Str_CmpIgnoreCase_N | ( | const CPU_CHAR * | p1_str,
|  | const CPU_CHAR * | p2_str,
|  | CPU_SIZE_T | len_max
| ) |  |

Definition at line 1137 of file lib_str.c.

CPU_CHAR* Str_Copy | ( | CPU_CHAR * | pstr_dest,
|  | const CPU_CHAR * | pstr_src
| ) |  |

Definition at line 351 of file lib_str.c.

CPU_CHAR* Str_Copy_N | ( | CPU_CHAR * | pstr_dest,
|  | const CPU_CHAR * | pstr_src,
|  | CPU_SIZE_T | len_max
| ) |  |

Definition at line 442 of file lib_str.c.

CPU_CHAR* Str_FmtNbr_Int32S | ( | CPU_INT32S | nbr,
|  | CPU_INT08U | nbr_dig,
|  | CPU_INT08U | nbr_base,
|  | CPU_CHAR | lead_char,
|  | CPU_BOOLEAN | lower_case,
|  | CPU_BOOLEAN | nul,
|  | CPU_CHAR * | pstr
| ) |  |

Definition at line 2138 of file lib_str.c.

CPU_CHAR* Str_FmtNbr_Int32U | ( | CPU_INT32U | nbr,
|  | CPU_INT08U | nbr_dig,
|  | CPU_INT08U | nbr_base,
|  | CPU_CHAR | lead_char,
|  | CPU_BOOLEAN | lower_case,
|  | CPU_BOOLEAN | nul,
|  | CPU_CHAR * | pstr
| ) |  |

Definition at line 1921 of file lib_str.c.

CPU_SIZE_T Str_Len | ( | const CPU_CHAR * | pstr | ) |

Definition at line 218 of file lib_str.c.

CPU_SIZE_T Str_Len_N | ( | const CPU_CHAR * | pstr,
|  | CPU_SIZE_T | len_max
| ) |  |

Definition at line 278 of file lib_str.c.

CPU_INT32S Str_ParseNbr_Int32S | ( | const CPU_CHAR * | pstr,
|  | CPU_CHAR ** | pstr_next,
|  | CPU_INT08U | nbr_base
| ) |  |

Definition at line 3078 of file lib_str.c.

CPU_INT32U Str_ParseNbr_Int32U | ( | const CPU_CHAR * | pstr,
|  | CPU_CHAR ** | pstr_next,
|  | CPU_INT08U | nbr_base
| ) |  |

Definition at line 2861 of file lib_str.c.

CPU_CHAR* Str_Str | ( | const CPU_CHAR * | pstr,
|  | const CPU_CHAR * | pstr_srch
| ) |  |

Definition at line 1642 of file lib_str.c.

CPU_CHAR* Str_Str_N | ( | const CPU_CHAR * | pstr,
|  | const CPU_CHAR * | pstr_srch,
|  | CPU_SIZE_T | len_max
| ) |  |

Definition at line 1727 of file lib_str.c.